POST
/
v1
/
data
/
{name}
/
snapshots
Create a snapshot of a data volume
curl --request POST \
  --url https://api.example.com/v1/data/{name}/snapshots \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>"
}
'
import requests

url = "https://api.example.com/v1/data/{name}/snapshots"

payload = {
"description": "<string>",
"name": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', name: '<string>'})
};

fetch('https://api.example.com/v1/data/{name}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "<string>",
  "name": "<string>",
  "size_bytes": 1,
  "description": "<string>"
}

Path Parameters

name
string
required

Data volume name

Body

application/json
description
string | null
name
string | null

Optional safe snapshot name. Names must be lowercase a-z0-9-, 1-63 characters, start and end alphanumeric, and not contain --.

Response

Snapshot created

created_at
string
required
name
string
required
size_bytes
integer<int64>
required
Required range: x >= 0
description
string | null